Create an invoice item

Body
application/vnd.api+json
  • data
    Type: object
Responses
  • application/vnd.api+json
Request Example for post/api/v1/items
curl https://b.anny.co/api/v1/items \
  --request POST \
  --header 'Content-Type: application/vnd.api+json' \
  --data '{
  "data": {
    "type": "",
    "attributes": {
      "quantity": "",
      "single_gross_amount": "",
      "tax_rate": "",
      "currency": "",
      "title": "",
      "gross_amount": ""
    },
    "relationships": {
      "document": {
        "data": {
          "id": "",
          "type": ""
        }
      },
      "product": {
        "data": {
          "id": "",
          "type": ""
        }
      }
    },
    "meta": null
  }
}'
{
  "data": {
    "id": "string",
    "type": "items",
    "attributes": {
      "name": "string",
      "quantity": 1,
      "unit_price": 1,
      "total": 1,
      "tax_rate": 1,
      "tax_amount": 1,
      "currency": "string"
    },
    "links": {
      "self": "https://example.com"
    },
    "relationships": {
      "invoice": {
        "data": {
          "type": "string",
          "id": "string"
        },
        "links": {
          "self": "https://example.com"
        }
      },
      "itemable": {
        "data": {
          "type": "string",
          "id": "string"
        },
        "links": {
          "self": "https://example.com"
        }
      }
    }
  }
}